*{
    box-sizing: border-box;
}

body,html{
    margin: 0px;
    padding: 0px;
    font-family: "Poppins", sans-serif;
    color: #333;
    font-size: 16px;
    background: #fef9f3;
    width: 100vw;
    overflow-x: hidden;
}

h1{
    font-size: 40px;
    line-height: 50px;
    margin-bottom: 40px;
    margin-top: 0px;
}

h2{
    font-size: 30px;
    line-height: 40px;
    margin-bottom: 30px;
    margin-top: 0px;
}

h3{
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 20px;
    margin-top: 0px;
}

.sup{
    font-style: italic;
    font-size: 20px;
    margin-bottom: 10px;
    text-align: center;
}

.text{
    font-size: 16px;
    line-height: 22px;
}

.orange{
    color: #f9ce2f;
}

.green{
    color: #63c048;
}

.pink{
    color: #fd77ae;
}

.blue{
    color: #0668ae;
}

.red{
    color: #fe7841;
}

a{
    text-decoration: none;
}

a:hover{
    text-decoration: none;
}

.transition-all {
    transition-property: all;
    transition-timing-function: cubic-bezier(.4,0,.2,1);
    transition-duration: .15s;
}


header{
    position: fixed;
    display: flex;
    align-items: center;
    top: 0px;
    left: 0px;
    z-index: 10;
    width: 100%;
    height: 80px;
    padding: 15px;
    padding-bottom: 0px;

}

header.sticky{
    background: linear-gradient(180deg,#ffd750,#fce390 35%,rgba(252, 227, 144, 0.5));
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}




#logo{
    display: block;
    width: 220px;
    height: 70px;
    background-image: url(/statics/img/logo.svg);
    background-position: left center;
    background-repeat: no-repeat;
    background-size: contain;
}

nav{
    display: flex;
    align-items: center;
    height: 50px;
    gap: 20px;
    position: relative;
    top: -10px;
}

.nav-item{
    position: relative;
}

.nav-item > a{
    display: inline-flex;
    gap: 5px;
    padding: 10px 15px;
    align-items: center;
    border-radius: 5px;
    font-size: 20px;
    font-weight: 500;
    height: 30px;
    color: #333;
    white-space: nowrap;
}

.nav-item > a:hover{
    background-color: rgb(241 245 249);
    color: #333;
}

.nav-submenu{
    width: 780px;
    padding: 10px;
    display: none;
    position: absolute;
    z-index: 5;
    background: #fff;
    top: 30px;
    left: 0px;
    border: 1px solid rgb(229, 231, 235);
    border-radius: 10px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.nav-submenu.nav-submenu-short{
    width: 360px;
}

.nav-item:hover .nav-submenu{
    display: block;
}


.feature{
    display: flex;
    align-items: center;
    gap: 10px;
    width: 100%;
    height: 80px;
    color: #333;
    border-radius: 5px;
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.feature:hover{
    color: #333;
    background-color: rgb(241 245 249);
}

.feature-image{
    width: 75px;
    text-align: center;
}

.feature-image img{
    height: 60px;
}

.feature-content{
    width: calc(100% - 75px);
}

.feature-title{
    font-size: 14px;
    line-height: 16px;
    font-weight: 600;
    margin-bottom: 3px;
}

.feature-description{
    font-size: 14px;
    line-height: 18px;
}

#header-buttons{
    position: relative;
    top: -10px;
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 20px;
    margin-left: auto
}

#header-search img{
    height: 30px;
    position: relative;
    bottom: -3px;
}

#mobile-menu{
    display: none;
}

#mobile-menu a{
    color: #000;
}

#mobile-menu a i{
    font-size: 30px;
}

.button{
    display: inline-block;
    border-radius: 25px;
    height: 38px;
    line-height: 34px;
    padding: 0px 20px;
    color: #000;
    font-size: 16px;
    font-weight: 600;
}

.button:hover{
    opacity: 0.8;
}

.button.big{
    height: 50px;
    line-height: 50px;
    padding: 0px 20px;
}

.button.primary{
    background: #f9ce2f;
    border: 2px solid #1d2c43;
    color: #1d2c43;
}

.button.primary:hover{
    background: #f9ce2f;
    color: #1d2c43;
}


.button.secondary{
    background: #1d2c43;
    color: #6fb5b2;
    border: 2px solid #1d2c43;
}

.button.secondary:hover{
    background: #f9ce2f;
    border: 2px solid #f9ce2f;
    color: #000;
    opacity: 1;
}

.button.button-green{
    background: #63c048;
    color: #fff;
}

.button.button-green:hover{
    background: #f9ce2f;
    color: #000;
}

footer{
    padding-top: 60px;
    padding-bottom: 60px;
    background: #1d2c43;
    color: #fff;
}

.footer-title{
    font-size: 16px;
    font-weight: 600;
    color: #96d6d8;
    margin-bottom: 20px;
}

.footer-contact{
    display: flex;
    gap: 10px;
    font-size: 14px;
    font-weight: 300;
    margin-bottom: 10px;
}

.footer-contact > div:first-child{
    width: 16px;
}

.footer-link{
    margin-bottom: 15px;
    line-height: 18px;
}

.footer-link a{
    color: #fff;
    font-size: 14px;
    font-weight: 300;
}

.footer-link a:hover{
    text-decoration: underline;
}

#footer-logo img{
    width: 140px;
    height: auto;
}

#footer-logo{
    margin-bottom: 20px;
}

#footer-title{
    color: #96d6d8;
    text-transform: uppercase;
    font-size: 14px;
    margin-bottom: 10px;
}

#footer-copy{
    font-size: 12px;
    margin-bottom: 20px;
}

#footer-social{
    display: flex;
    align-items: center;
    gap: 10px;
}

#footer-social a{
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-size: 20px;
    font-size: 16px;
    background: #f9ce2f;
    color: #000;
}

#footer-social a:hover{
    background: #fff;
    color: #000;
}

#chat{
    cursor: pointer;
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 3;
    width: 80px;
    height: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border: 2px solid #74c7c1;
    border-radius: 50%;
    background: #fff5c7;
    color: #1d2c43;
}

#chat i{
    font-size: 40px;
}

#chat:hover{
    opacity: 0.8;
}

#banner{
    position: relative;
    height: 100vh;
    z-index: 1;
}


#banner-title{
    position: absolute;
    z-index: 1;
    top: 20vh;
    left: 4vw;
    color: #000;
    width: 92vw;
}

#banner-title h1{
    font-size: 75px;
    line-height: 90px;
    font-weight: 600;
}

#banner-subtitle{
    position: absolute;
    z-index: 5;
    top: 70vh;
    left: 20vw;
    color: #1d2c43;
    white-space: nowrap;
    font-size: 60px;
    line-height: 80px;
    font-weight: 600;
}



#banner-buttons .button{
    height: 60px;
    width: 200px;
    font-size: 22px;
    line-height: 58px;
    border-radius: 40px;
    text-align: center;
    white-space: nowrap;
}


#banner-bee{
    position: absolute;
    bottom: -10vh;
    right: -10vh;
    height: 80vh;
    max-width: 80vw;
    max-height: 700px;
    aspect-ratio: 1;
    border: 30px solid #fdf6da;
    border-radius: 50%;
    background-color: #fff;
    background-image: url(/statics/img/bee-laptop.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 75%;
}

#banner-circle-1{
    position: absolute;
    bottom: -10vh;
    left: -20vh;
    width: 40vh;
    aspect-ratio: 1;
    border: 30px solid #fdf6da;
    background: #fff;
    border-radius: 50%;
}

#banner-circle-2{
    position: absolute;
    top: 16vh;
    left: -10vh;
    width: 40vh;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #f7e895;
}

#video-pic{
    position: relative;
}

#video-pic img{
    position: absolute;
    z-index: 1;
    bottom: -30vw;
    right: 25vw;
    width: 50vw;
}

#video{
    position: relative;
    padding-top: 600px;
    padding-bottom: 100px;
    background: #1d2c43;
    overflow: hidden;
}

#video-curve{
    position: absolute;
    top: -15vw;
    left: -10vw;
    width: 120vw;
    height: 30vw;
    background: #fef9f3;
    border-bottom-left-radius: 120%;
    border-bottom-right-radius: 120%;
}

#video-title{
    display: block;
    margin: auto;
    width: 800px;
    max-width: 90vw;
    font-size: 50px;
    line-height: 70px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 60px;
    text-align: center;
}

#video-wrapper{
    margin: auto;
    width: 800px;
    max-width: 90vw;
    position: relative;
}

#video video{
    display: block;
    border-radius: 20px;
    width: 100%;
}

#watch-video{
    position: absolute;
    z-index: 1;
    bottom: -3vw;
    left: -10vw;
    border: 4px solid #63c048;
    border-radius: 50%;
    background-image: url(/statics/img/video.png);
    background-color: #fff;
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 10vw;
    max-width: 150px;
    aspect-ratio: 1;
}

#partners{
    background-image: linear-gradient(135deg, #BB2225 0%, #F2A341 100%);
    margin: auto; 
    position: relative;
    height: 400px;
    display: flex;
    gap: 20px;
    text-align: center;
    align-items: center;
    justify-content: center;
}

#partners-pic img{
    height: 300px;
}

#partners-title{
    position: relative;
    bottom: -5px;
    font-size: 20px;
    font-weight: 400;
    color: #fff;
    text-align: center;
}

#partners-logo img{
    height: 120px;
}

#about{
    padding-top: 80px;
    padding-bottom: 80px; 
    background: #fff;
    background-image: url(../img/cover.jpg?v=1);
    background-position: top right;
    background-size: auto 100%;
    background-repeat: no-repeat;
}

#about h1{
    text-align: center;
    margin-top: 0px;
}

#about .text{
    margin: auto;
    max-width: 720px;
    text-align: justify;
}


#mission-and-vision{
    display: flex;
    gap: 100px;
}

#vision{
    width: 50%;
    background: rgba(6, 104, 174, 1);
    color: #fff;
    padding: 40px;
    border-radius: 20px;
}


#mission{
    width: 50%;
    background: rgba(220, 172, 21, 0.3);
    padding: 40px;
    border-radius: 20px;
}



#team{
    background-image: linear-gradient(135deg, #ffe44d 0%, #d19a02 100%);
    padding: 80px 0px;
}

#people h1{
    color: #1d2c43;
    margin-bottom: 40px;
    text-align: center;
}

.team{
    text-align: center;
    color: #1d2c43;
}

.team-name::after{
    content: '';
    display: block;
    margin: auto;
    width: 60px;
    height: 4px;
    background: #1d2c43;
    margin-top: 10px;
    margin-bottom: 20px;
}

.team-image img{
    width: 150px;
    aspect-ratio: 1;
    border-radius: 50%;
    border: 4px solid #fff;
}

.team-name{
    font-weight: bold;
    font-size: 18px;
}

.team-text{
    font-size: 14px;
    line-height: 18px;
}

#features{
    background: #fff;
    padding-top: 80px;
    padding-bottom: 80px;
}

#features h1{
    text-align: center;
}

#what{
    background: #fef9f3;
    padding: 40px;
    border-radius: 20px;
    width: 500px;
    max-width: 90vw;
    margin: auto;
    margin-bottom: auto;
    margin-bottom: 40px;
    font-size: 18px;
    line-height: 26px;
}



#faq{
    padding-top: 120px;
    padding-bottom: 120px;
    background: #f5de93;
}

#faq-box{
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border: 10px solid #FEDA14;
    border-radius: 20px;
    background: #fff;
    padding: 40px;
    position: relative;
}

#faq h2{
    margin-top: 0px;
}

#faq-bee{
    width: 130px;
    position: absolute;
    top: 10px;
    right: 20px;
}

#faq-questions{
    width: 100px;
    position: absolute;
    z-index: 1;
    top: -60px;
    left: -30px;
}


.faq{
    cursor: pointer;
}

.faq:not(:last-child){
    margin-bottom: 10px;
}

.faq:nth-child(-n+6){
    max-width: calc(100% - 150px);
}

.faq-question{
    border-top: 1px solid #ccc;
    padding: 10px;
    padding-bottom: 0px;
    padding-right: 40px;
    font-size: 20px;
}

.faq-question i{
    margin-left: 5px;
    font-size: 16px;
}

.faq-answer{
    display: none;
    padding: 10px;
}

.faq.visible .faq-answer{
    display: block;
    padding-top: 10px;
}

.faq i.fa-chevron-up{
    display: none;
}

.faq.visible i.fa-chevron-up{
    display: inline;
}

.faq.visible i.fa-chevron-down{
    display: none;
}

#cta{
    text-align: center;
    padding-bottom: 100px;
    padding-top: 100px;
    background: #fff2a8;
}

#cta img{
    max-width: 250px;
}

#blog{
    padding-top: 60px;
    padding-bottom: 60px;
    background: #fff;
}

#blog h1{
    text-align: center;
    margin-bottom: 40px;
}

.article{
    border-radius: 5px;
    display: block;
    color: #333;
    background: #f9fafb;
    padding: 10px;
    margin-bottom: 20px;
}

.article:hover{
    background: #ccc;
}

.article-image{
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    aspect-ratio: 2/1;
    margin-bottom: 10px;
}

.article-title{
    font-weight: 600;
    font-size: 16px;
    line-height: 22px;
    margin-bottom: 10px;
}

.article-description{
    font-size: 14px;
    line-height: 18px;
}


input[type=text].form-input,
input[type=email].form-input,
textarea.form-input{
    background: #f5f5f5;
    border-radius: 3px;
    height: 40px;
    line-height: 36px;
    font-size: 14px;
    width: 100%;
    border: none;
    padding: 0px 8px;
}

textarea.form-input{
    height: 120px !important;
    padding: 8px  !important;
    line-height: 18px  !important;
}

input[type=text].form-input:active,
input[type=email].form-input:active,
input[type=text].form-input:focus,
input[type=email].form-input:focus,
textarea
{
    border: none !important;
    outline: none !important;
}

textarea.form-input{
    background: #f5f5f5;
    border-radius: 3px;
    height: 120px;
    line-height: 36px;
    width: 100%;
    border: none;
    padding: 10px 8px;
}




#contacts{
    padding-bottom: 80px;
}

#contacts-box{
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border: 10px solid #FEDA14;
    border-radius: 20px;
    background: #fff;
    padding: 40px;
    position: relative;
}

#contacts-box img{
    width: 200px;
    position: absolute;
    top: 10px;
    left: 10px;
}


#form{
    padding-left: 240px;
}
#form .col-12{
    margin-bottom: 20px;
}


.feature-pic{
    position: absolute;
    z-index: 2;
    top: -20px;
    right: 30px;
    width: 100px;
    border-radius: 50%;
    background: #fff;
    border: 6px solid #fdf6da;
    background-color: #fff;
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    aspect-ratio: 1;
}

.feature-laptop{
    position: relative;
    margin: auto;
    max-width: 645px;
    margin-top: 40px;
    background-image: url(../img/laptop.png?v=1);
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
    aspect-ratio: 645/387;
}

.feature-screenshot{
    position: absolute;
    z-index: 1;
    top: 11%;
    height: 74%;
    left: 14%;
    width: 72%;
    background-position: top left;
    background-size: cover;
    background-repeat: no-repeat;
}

#search{
    border-radius: 20px;
    background: #1d2c43;
    padding: 60px;
    text-align: center;
}

#search-flex{
    display: flex;
    gap: 20px;
    margin: auto;
    align-items: center;
    justify-content: center;
}

#search h1{
    color: #fff;
}

#search input[type=text]{
    width: 600px;
    max-width: 90vw;
    border: none;
    border-radius: 10px;
    height: 60px;
    padding: 10px;
    font-size: 40px;
    background: #fff;
    outline: none !important;
}

#search .button{
    width: auto;
    height: 60px;
    line-height: 58px;
    cursor: pointer;
    border-radius: 25px;
}

#results{
    margin-top: 50px;
    margin-bottom: 50px;
}

.result{
    border-bottom: 1px solid #ccc;
    padding: 20px;
}

.result-title{
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    margin-bottom: 10px;
}

.result-title a{
    color: #1d2c43;
    text-decoration: underline;
}

.result-title a:hover{
    text-decoration: none;
}

.type-effect {
    opacity: 0;
}


.msg{
    border-radius: 10px;
    margin-bottom: 20px;
    padding: 10px;
    font-size: 16px;
    line-height: 20px;
}

.msg.success{
    background: #63c048;
    color: #fff;
}

.msg.error{
    background: #db133c;
    color: #fff;
}

@media (min-width: 1401px) and (max-width: 1700px){

    #banner-subtitle{
        top: 65vh;
        left: 20vw;
        font-size: 60px;
        line-height: 80px;
    }
}

@media (min-width: 1200px) and (max-width: 1400px){

    #banner-subtitle{
        top: 70vh;
        left: 10vw;
        font-size: 60px;
        line-height: 80px;
    }
}

@media (min-width: 991px) and (max-width: 1200px){
    .nav-item > a {
        font-size: 16px;
    }

    nav{
        gap: 10px;
    }

    #banner-title h1{
        font-size: 65px;
        line-height: 85px;
    }

    #banner-subtitle{
        top: 70vh;
        left: 10vw;
        font-size: 60px;
        line-height: 80px;
    }

}

@media (max-width: 991px){

    header{
        height: 60px;
    }

    #logo{
        width: 150px;
        height: 60px;
    }

    nav{
        display: none;
    }

    body.nav-visible{
        overflow: hidden;
        height: 100vh;
    }

    body.nav-visible nav{
        position: fixed;
        z-index: 20;
        top: 0px;
        left: 0px;
        height: 100vh;
        width: 70vw;
        padding: 10px;
        overflow-y: auto;
        background: #fff;
        border-right: 1px solid rgba(0,0,0,0.3);
        display: flex;
        flex-direction: column;
        gap: 20px;
        align-items: start;
    }

    .nav-item > a {
        white-space: normal;
    }

    .nav-submenu{
        position: relative;
        width: auto !important;
        top: auto;
        left: auto;
    }

    .feature{
        height: auto;
    }

    .feature-title{
        font-size: 14px;
        line-height: 18px;
    }
    
    .feature-description{
        font-size: 12px;
    }

    
    #mobile-menu{
        display: block;
    }

    footer .col-12{
        margin-bottom: 40px;
    }

    #chat{
        width: 60px;
        height: 60px;
    }
    
    #chat i{
        font-size: 30px;
    }

    #banner-title{
        top: 20vh;
    } 

    #banner-title h1{
        font-size: 50px;
        line-height: 60px;
    }

    #banner-subtitle{
        top: 70vh;
        left: 6vw;
        font-size: 30px;
        line-height: 40px;
    }

    #banner-bee{
        border: 20px solid #fdf6da;
        height: 50vh;
        max-width: 75vw;
        max-height: 75vw;
        bottom: 10vh;
    }

    #banner-circle-1{
        display: none;
    }

    #video-pic img{
        bottom: -38vw;
        right: 10vw;
        width: 80vw;
    }

    #video{
        padding-top: 50vw;
    }
    
    #video-title{
        width: 600px;
        font-size: 30px;
        line-height: 50px;
        font-weight: 600;
        margin-bottom: 40px;
        text-align: left;
        margin-left: 6vw;
        padding-right: 15vw;
    }

    #watch-video{
        display: none;
    }

    #partners{
        flex-direction: column;
        gap: 40px;
        height: auto;
        padding: 100px 40px;
    }

    #partners-pic img{
        height: auto;
        max-width: 80vw;
    }
    
    #partners-logo{
        height: auto;
        max-width: 60vw;
    }

    #mission-and-vision{
        flex-direction: column;
    }

    #mission{
        width: 100%;
    }

    #vision{
        width: 100%;
        background: rgba(6, 104, 174, 0.6);
    }

    #faq{
        padding-top: 80px;
        padding-bottom: 80px;
    }

    #faq-bee{
        display: none;
    }

    .faq:nth-child(-n+6){
        max-width: 100%;
    }

    #faq h2{
        text-align: center;
    }


    #search h1{
        font-size: 30px;
        line-height: 36px;
    }
    
    #search input[type=text]{
        width: 50vw;
        max-width: 100%;
        height: 40px;
        padding: 10px;
        font-size: 30px;
    }

    #search .button{
        height: 40px;
        line-height: 38px;
    }

    #team{
        height: auto;
        padding-bottom: 100px;
        border-bottom-left-radius: 10%;
    }

    #people{
        padding-left: 20px;
        padding-right: 20px;
    }

    #team .col-12:not(:last-child){
        margin-bottom: 60px;
    }

    .team-text{
        max-width: 400px;
        margin: auto;
    }
    
    #contacts-box img{
       display: none;
    }

    #form{
        padding-left: 0px;
    }
    
}

@media (max-width: 640px){

    #header-buttons .button{
        height: 32px;
        line-height: 28px;
        padding: 0px 10px;
        font-size: 12px;
    }
}



@media (max-width: 460px){
    
    #header-buttons .button.secondary{
        display: none;
    }

    #banner-title h1{
        font-size: 40px;
        line-height: 50px;
        min-height: 150px;
    }

    #banner-subtitle{
        top: 60vh;
        left: 6vw;
        font-size: 30px;
        line-height: 40px;
    }

    #banner-bee {
        height: 100vh;
        max-width: 85vw;
        max-height: 85vw;
    }

    #video-title{
        font-size: 30px;
        line-height: 40px;
    }

    #search{
        padding: 40px 20px;
    }

    #search-flex{
        flex-direction: column;
    }

    #search h1{
        font-size: 24px;
        line-height: 30px;
        margin-bottom: 10px;
    }

    #search input[type=text]{
        width: 100%;
    }
    
    #search .button{
        width: 100%;
    }
    
    .feature-pic{
        top: -20px;
        right: 15px;
        width: 80px;
    }
    
}